#include <Adafruit_NeoPixel.h>
#include <ESP8266Wavplay.h>
#include <Servo.h>
#include <ESP8266WiFi.h>
#include <ESP8266WebServer.h>


Adafruit_NeoPixel pixels_DEL_RVB = Adafruit_NeoPixel(2, 12, NEO_GRB + NEO_KHZ800);
Servo tete;
Servo SERVO;
IPAddress local_IP(192,168,4,2);
IPAddress gateway(192,168,4,1);
IPAddress subnet(255,255,252,0);
int WiFi_OK;
int WiFi_Mode = 1;
ESP8266WebServer server(80);

long math_random_int(int a,int b) {
  if (a > b) {
    // Swap a and b to ensure a is smaller.
    int c = a;
    a = b;
    b = c;
  }
  return random(a,b);
}

int compteur;
boolean son;

// Décrire cette fonction
void Sonnette() {
  compteur = 400;
  server.send(200, "text/plain", "Compris");
  pixels_DEL_RVB.setPixelColor(0, pixels_DEL_RVB.Color(100,90,255));
  pixels_DEL_RVB.show();
  pixels_DEL_RVB.setPixelColor(1, pixels_DEL_RVB.Color(255,50,0));
  pixels_DEL_RVB.show();
  tete.write(90);
  SERVO.write(180);
  Serial.println("Joue son");
  wavStartPlaying("/Dragon01.wav");
  son = wavPlaying();
  Serial.print("Son en cours =");
   Serial.println(son);
  while (wavPlaying()) {
    wavLoop();
    compteur = compteur + -1;
    if (compteur <= 0) {
      compteur = 30000;
      Serial.println("Change LED");
      pixels_DEL_RVB.setPixelColor(0, pixels_DEL_RVB.Color((00 + math_random_int(1, 50)),(20 + math_random_int(1, 20)),(180 + math_random_int(1, 75))));
      pixels_DEL_RVB.show();
      pixels_DEL_RVB.setPixelColor(1, pixels_DEL_RVB.Color((150 + math_random_int(1, 105)),(30 + math_random_int(1, 30)),0));
      pixels_DEL_RVB.show();

    }
  }
  tete.write(0);
  SERVO.write(0);
  pixels_DEL_RVB.setPixelColor(0, pixels_DEL_RVB.Color(20,5,45));
  pixels_DEL_RVB.show();
  pixels_DEL_RVB.setPixelColor(1, pixels_DEL_RVB.Color(0,0,0));
  pixels_DEL_RVB.show();
}



void setup() {
  pinMode(12, OUTPUT);
  pixels_DEL_RVB.begin();
  Serial.begin(115200);
  tete.attach(0);
  SERVO.attach(4);
  WiFi_OK = WiFi.softAPConfig(local_IP, gateway, subnet);
WiFi_OK &= WiFi.softAP("dragon");

    pixels_DEL_RVB.setPixelColor(0, pixels_DEL_RVB.Color(20,5,45));
  pixels_DEL_RVB.show();
    wavSetup();
  tete.write(0);
  SERVO.write(0);
  server.on("/sonne", Sonnette);
  server.begin();showDir();
  Serial.println("init ok");

}

void loop() {
    server.handleClient();

}
