#include <ESP8266WiFi.h>
#include <ESP8266HTTPClient.h>


const char *WiFi_ssid = "dragon";
const char *WiFi_pass = "";
int WiFI_status = WL_IDLE_STATUS;
int WiFi_Mode = 2;
int WiFi_OK;
HTTPClient http_client;


void setup() {
  Serial.begin(115200);
      WiFi.mode(WIFI_STA);
    int max_try = 50;
    WiFi.begin(WiFi_ssid,WiFi_pass);
    while(WiFI_status!= WL_CONNECTED && --max_try > 0)   {
     WiFI_status = WiFi.status();
      Serial.printf("Remaining tries :%d, Status=%d\n", max_try, WiFI_status);
      delay(500);  }
    WiFi_OK = (WiFI_status== WL_CONNECTED);Serial.println("connexion ok");
  Serial.print( "IP Address ="); Serial.println(WiFi.localIP()); WiFi.printDiag(Serial);
  http_client.begin( "http://192.168.4.2/sonne" );
  int httpCode = http_client.GET();
   if (httpCode > 0) {
     Serial.printf("[HTTP] GET... code: %d\n", httpCode);
     if (httpCode == HTTP_CODE_OK || httpCode == HTTP_CODE_MOVED_PERMANENTLY) {
        String payload = http_client.getString();
        Serial.println(payload);
     }
   } else
   {
     Serial.printf("[HTTP] GET... failed, error: %s\n", http_client.errorToString(httpCode).c_str());
   }
   http_client.end();
   Serial.println("passage en veille");
  ESP.deepSleep(0 * 1000L);
}

void loop() {

}
